#ifndef STRUCTURES_H_INCLUDED
#define STRUCTURES_H_INCLUDED

/* definition des structures ncessaires : case, classe, etc */

typedef enum {plaine,eau,montagne,foret} type_terrain;

typedef enum {faux, vrai} boolean;

typedef struct {
    unsigned short int coord_x;
    unsigned short int coord_y;
    type_terrain terrain;
    boolean occupee;
} Case;

typedef struct {
    char nom[16];
    unsigned short int degats_directs;
    unsigned short int degats_permanents;
    boolean paralysie;
} attaque;

typedef struct {
    char nom[16];
    attaque attaque;
    unsigned short int points_deplacement_max;
    unsigned short int PV_max;
} classe;

typedef struct {
    char nom[16];
    classe classe;
    unsigned short int points_deplacement;
    unsigned short int PV;
    boolean paralyse;
    Case position;
} personnage;

#endif
